Debian Bug report logs - #656633
ITP: pyfai -- python library for Fast Azimuthal Integration

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jerome KIEFFER <jerome.kieffer@esrf.fr>

Date: Fri, 20 Jan 2012 16:18:02 UTC

Owned by: Jerome KIEFFER <jerome.kieffer@esrf.fr>

Severity: wishlist

Fixed in version pyfai/0.3.5-1

Done: Jerome Kieffer <jerome.kieffer@esrf.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, jerome.kieffer@terre-adelie.org, wnpp@debian.org:
Bug#656633; Package wnpp. (Fri, 20 Jan 2012 16:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jerome KIEFFER <jerome.kieffer@esrf.fr>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, jerome.kieffer@terre-adelie.org, wnpp@debian.org. (Fri, 20 Jan 2012 16:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jerome KIEFFER <jerome.kieffer@esrf.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pyfai -- python library for Fast Azimuthal Integration
Date: Fri, 20 Jan 2012 17:07:40 +0100
Package: wnpp
Severity: wishlist
Owner: Jerome KIEFFER <jerome.kieffer@esrf.fr>


* Package name    : pyfai
  Version         : 0.3.5
  Upstream Author : Jerome Kieffer <jerome.kieffer@esrf.fr>
* URL             : http://forge.epn-campus.eu/projects/azimuthal
* License         : GPL
  Programming Lang: Python
  Description     : python library for Fast Azimuthal Integration

PyFAI is a Python library for azimuthal integration; it allows the conversion
of diffraction images taken with 2D detectors like CCD cameras into X-Ray
powder patterns that can be used by other software like Rietveld refinement
tools (i.e. FullProf), phase analysis or texture analysis.

As PyFAI is a library, its main goal is to be integrated in other tools like
PyMca, LiMa or EDNA. To perform online data analysis, the precise description of the
experimental setup has to be known. This is the reason why PyFAI includes
geometry optimization code working on "powder rings" of reference samples.
Alternatively, PyFAI can also import geometries fitted with other tools like
Fit2D.

PyFAI has been designed to work with any kind of detector with any geometry
(transmission, reflection, off-axis, ...). It uses the Python library FabIO to
read most images taken by diffractometer.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jerome KIEFFER <jerome.kieffer@esrf.fr>:
Bug#656633; Package wnpp. (Fri, 20 Jan 2012 19:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Debian Science List <debian-science@lists.debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jerome KIEFFER <jerome.kieffer@esrf.fr>. (Fri, 20 Jan 2012 19:33:06 GMT) Full text and rfc822 format available.

Message #10 received at 656633@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Jerome KIEFFER <jerome.kieffer@esrf.fr>, 656633@bugs.debian.org, Debian Science List <debian-science@lists.debian.org>
Subject: Re: Bug#656633: ITP: pyfai -- python library for Fast Azimuthal Integration
Date: Fri, 20 Jan 2012 20:29:18 +0100
Hi Jerome,

it's probably a good idea to maintain this package in the Debian Science
team.

Kind regards

        Andreas.

On Fri, Jan 20, 2012 at 05:07:40PM +0100, Jerome KIEFFER wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Jerome KIEFFER <jerome.kieffer@esrf.fr>
> 
> 
> * Package name    : pyfai
>   Version         : 0.3.5
>   Upstream Author : Jerome Kieffer <jerome.kieffer@esrf.fr>
> * URL             : http://forge.epn-campus.eu/projects/azimuthal
> * License         : GPL
>   Programming Lang: Python
>   Description     : python library for Fast Azimuthal Integration
> 
> PyFAI is a Python library for azimuthal integration; it allows the conversion
> of diffraction images taken with 2D detectors like CCD cameras into X-Ray
> powder patterns that can be used by other software like Rietveld refinement
> tools (i.e. FullProf), phase analysis or texture analysis.
> 
> As PyFAI is a library, its main goal is to be integrated in other tools like
> PyMca, LiMa or EDNA. To perform online data analysis, the precise description of the
> experimental setup has to be known. This is the reason why PyFAI includes
> geometry optimization code working on "powder rings" of reference samples.
> Alternatively, PyFAI can also import geometries fitted with other tools like
> Fit2D.
> 
> PyFAI has been designed to work with any kind of detector with any geometry
> (transmission, reflection, off-axis, ...). It uses the Python library FabIO to
> read most images taken by diffractometer.
> 
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20120120160740.9432.29426.reportbug@islay.fournet.lan
> 
> 

-- 
http://fam-tille.de




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 02 Feb 2012 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to Jerome Kieffer <jerome.kieffer@esrf.fr>:
You have taken responsibility. (Tue, 07 Feb 2012 21:51:10 GMT) Full text and rfc822 format available.

Notification sent to Jerome KIEFFER <jerome.kieffer@esrf.fr>:
Bug acknowledged by developer. (Tue, 07 Feb 2012 21:51:10 GMT) Full text and rfc822 format available.

Message #17 received at 656633-close@bugs.debian.org (full text, mbox):

From: Jerome Kieffer <jerome.kieffer@esrf.fr>
To: 656633-close@bugs.debian.org
Subject: Bug#656633: fixed in pyfai 0.3.5-1
Date: Tue, 07 Feb 2012 21:47:41 +0000
Source: pyfai
Source-Version: 0.3.5-1

We believe that the bug you reported is fixed in the latest version of
pyfai, which is due to be installed in the Debian FTP archive:

pyfai_0.3.5-1.debian.tar.gz
  to main/p/pyfai/pyfai_0.3.5-1.debian.tar.gz
pyfai_0.3.5-1.dsc
  to main/p/pyfai/pyfai_0.3.5-1.dsc
pyfai_0.3.5-1_amd64.deb
  to main/p/pyfai/pyfai_0.3.5-1_amd64.deb
pyfai_0.3.5.orig.tar.gz
  to main/p/pyfai/pyfai_0.3.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 656633@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jerome Kieffer <jerome.kieffer@esrf.fr> (supplier of updated pyfai package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 20 Jan 2012 22:00:20 +0100
Source: pyfai
Binary: pyfai
Architecture: source amd64
Version: 0.3.5-1
Distribution: unstable
Urgency: low
Maintainer: Jerome Kieffer <jerome.kieffer@esrf.fr>
Changed-By: Jerome Kieffer <jerome.kieffer@esrf.fr>
Description: 
 pyfai      - python library for Fast Azimuthal Integration
Closes: 656633
Changes: 
 pyfai (0.3.5-1) unstable; urgency=low
 .
   * Initial release (Closes: #656633)
Checksums-Sha1: 
 ed4f9b580a30bb73ab6651472709b472c278cc50 1135 pyfai_0.3.5-1.dsc
 adb3f947aefeb62f900332bbe3134f14f107f49a 472652 pyfai_0.3.5.orig.tar.gz
 5e4ac6581284b75a1e212edd9e2bd9aefd71ee63 3060 pyfai_0.3.5-1.debian.tar.gz
 66eb2e06348ff18ce9910e807f11770532a3560e 347314 pyfai_0.3.5-1_amd64.deb
Checksums-Sha256: 
 319fb0035c771c5870f8d5162123ea353a31b824fd8e7b3f4ad852a2a24f6817 1135 pyfai_0.3.5-1.dsc
 cab5cddfd4ef1c1e6e57675446d4ced149e8e1875d7b3360403605a63d6f3f90 472652 pyfai_0.3.5.orig.tar.gz
 f582efd5d76296a9616ff0087838f3e380e97d233c106d8a00dcb2bb1e348b89 3060 pyfai_0.3.5-1.debian.tar.gz
 5fcdc93fbb9cbfb5aa6782661eb8fe6f09f1b35c30871a721b4c9b48b17e4a7b 347314 pyfai_0.3.5-1_amd64.deb
Files: 
 b8ddf063049774de9d741ba46da407e7 1135 science extra pyfai_0.3.5-1.dsc
 f5b33369a3518d59bed1e799d293686f 472652 science extra pyfai_0.3.5.orig.tar.gz
 c5038c4d4b8e21b31dfccb99790a9a2f 3060 science extra pyfai_0.3.5-1.debian.tar.gz
 b5afb155d998324d293bb0d198337dce 347314 science extra pyfai_0.3.5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8tSVkACgkQbJef3kTiKs3TtACfe5iSlG+yOMW+4iG8xb1XbOMS
AukAoKroLFwknB2CdRarclAgwvRl8bEe
=+c3k
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 Mar 2012 07:35:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 08:21:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.